org.apache.storm.redis.common.config

## Class JedisPoolConfig.Builder

- java.lang.Object
- - org.apache.storm.redis.common.config.JedisPoolConfig.Builder

- Enclosing class:
    JedisPoolConfig

      public static class JedisPoolConfig.Builder
      extends Object

  Builder for initializing JedisPoolConfig.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JedisPoolConfig` | `build()` Builds JedisPoolConfig.
    `JedisPoolConfig.Builder` | `setDatabase(int database)` Sets database index.
    `JedisPoolConfig.Builder` | `setHost(String host)` Sets host.
    `JedisPoolConfig.Builder` | `setPassword(String password)` Sets password.
    `JedisPoolConfig.Builder` | `setPort(int port)` Sets port.
    `JedisPoolConfig.Builder` | `setTimeout(int timeout)` Sets timeout.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setHost

          public JedisPoolConfig.Builder setHost(String host)

      Sets host.

      Parameters:
        `host` - host
      Returns:
        Builder itself

    - #### setPort

          public JedisPoolConfig.Builder setPort(int port)

      Sets port.

      Parameters:
        `port` - port
      Returns:
        Builder itself

    - #### setTimeout

          public JedisPoolConfig.Builder setTimeout(int timeout)

      Sets timeout.

      Parameters:
        `timeout` - timeout
      Returns:
        Builder itself

    - #### setDatabase

          public JedisPoolConfig.Builder setDatabase(int database)

      Sets database index.

      Parameters:
        `database` - database index
      Returns:
        Builder itself

    - #### setPassword

          public JedisPoolConfig.Builder setPassword(String password)

      Sets password.

      Parameters:
        `password` - password, if any
      Returns:
        Builder itself

    - #### build

          public JedisPoolConfig build()

      Builds JedisPoolConfig.

      Returns:
        JedisPoolConfig

Copyright © 2021 The Apache Software Foundation. All rights reserved.